Create image (Azure OpenAI)
Generates images from text prompts using Azure OpenAI deployment.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
deployment-idstring
Azure deployment ID
Query Parameters
api-version?string
Azure API version
modelstring
Model identifier
promptstring
Text prompt to generate image
n?integer
Number of images to generate
Default
1Range
1 <= value <= 10size?string
Size of the generated image
Value in
"256x256" | "512x512" | "1024x1024" | "1792x1024" | "1024x1792" | "1536x1024" | "1024x1536" | "auto"quality?string
Quality of the generated image
Value in
"standard" | "hd"style?string
Style of the generated image
Value in
"natural" | "vivid"response_format?string
Format of the response. This parameter is not supported for streaming requests.
Default
"url"Value in
"url" | "b64_json"user?string
User identifier for tracking
stream?boolean
Whether to stream the response. When true, images are sent as base64 chunks via SSE.
Default
falsefallbacks?array<string>
Fallback models to try if primary model fails
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/openai/openai/deployments/string/images/generations?api-version=string" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "prompt": "string" }'{
"created": 0,
"data": [
{
"url": "http://example.com",
"b64_json": "string",
"revised_prompt": "string",
"index": 0
}
],
"background": "string",
"output_format": "string",
"quality": "string",
"size": "string",
"usage": {
"input_tokens": 0,
"input_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
},
"total_tokens": 0,
"output_tokens": 0,
"output_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}